#ifndef __NRF24L01_H
#define __NRF24L01_H
typedef unsigned char uchar;
typedef unsigned char uint;	
sbit 	MISO	=P2^0;
sbit 	MOSI	=P2^2;
sbit	SCK	    =P4^4;
sbit	CE	    =P4^2;
sbit	CSN		=P2^3;
sbit	IRQ		=P2^1;
void nRF24L01_TxPacket(unsigned char * tx_buf);
void Delay(volatile unsigned int s);
void inerDelay_us(unsigned char n);
void init_NRF24L01();
uint SPI_RW(uint uchar);
uchar SPI_Read(uchar reg);
void SetRX_Mode(void);
uint SPI_RW_Reg(uchar reg, uchar value);
uint SPI_Read_Buf(uchar reg, uchar *pBuf, uchar uchars);
uint SPI_Write_Buf(uchar reg, uchar *pBuf, uchar uchars);
unsigned char nRF24L01_RxPacket(unsigned char* rx_buf);


#endif  