#include <STC15F2K60S2.H>
#include <NRF24L01.H>
#include <AD.H>
#include <intrins.h>

unsigned int num=0;
unsigned char FX[10]={0};
unsigned int t_h=0,t_l=0,ad=0;
bit CHA=1,CHC=1;
uchar TxBuf[20]={0};
uchar RxBuf[20]={0};
sbit PPM=P4^5;

sbit KEY1=P1^7;  //ҡڰ
sbit KEY2=P0^3;  //ҡڰ
sbit KEY3=P0^6;  //һǵ1234
sbit KEY4=P0^7;
sbit KEY5=P0^4;
sbit KEY6=P0^5;
sbit BLED=P2^6;  //   ͨ1 2.51GHZ
sbit RLED=P3^7;  //   ѹ
sbit GLED=P4^1;  //̵   ͨ2 2.46GHZ
sbit KEYA=P3^5;  //1
sbit KEYB=P2^4;  //2
sbit KEYNRF1=P1^6;  //뿪1 ߵƽ
sbit KEYNRF2=P1^5;  //뿪2 ߵƽ
sbit fengmingqi=P3^6;
int ay,ax,by,bx;
int cy,cx,dy,dx;
unsigned char a1,a2,a4;
unsigned char add;
float battery;
float Y;
char i;
void ADC();


int Zsx=0,Zzy=0,Ysx=0,Yzy=0;
unsigned int count=0;


void Delay50ms(unsigned int time)		//@33.1776MHz
{
	unsigned char i, j, k;
		while(time--)
		{
	_nop_();
	_nop_();
	i = 7;
	j = 78;
	k = 167;
	do
	{
		do
		{
			while (--k);
		} while (--j);
	} while (--i);
		}
}

void ADC()     //ȡADֵ
{
  cy=getADCResult(0);     //	                          
	cx=getADCResult(1);			//
	dy=getADCResult(2);		  //
	dx=getADCResult(3);			//

	battery=(getADCResult(7)*3.30*100)/256;   //ңڲصѹͨ
	battery*=2;
	if(battery<=10)
  {RLED=0;GLED=1;}
	else
  {RLED=1;GLED=0;}
	
	Zsx=dy-by;
	Ysx=255+ay-cy;
	Yzy=dx;
	Zzy=cx;
	
	if(Zsx>255){Zsx=255;}if(Zsx<0){Zsx=0;}
	if(Zzy>255){Zzy=255;}if(Zzy<0){Zzy=0;}
	if(Ysx>255){Ysx=255;}if(Ysx<0){Ysx=0;}
	if(Yzy>255){Yzy=255;}if(Yzy<0){Yzy=0;}
	
	
	FX[0]=(unsigned char)Ysx;   //
	FX[1]=(unsigned char)Yzy;   //
	FX[2]=(unsigned char)Zzy;   //
	FX[3]=(unsigned char)Zsx;   //
	FX[4]=0;
	FX[5]=0;
	FX[6]=0;
	FX[7]=0;
	FX[8]=0;
	FX[9]=0;
	
	if(FX[0]>250){FX[0]=250;}if(FX[0]<0){FX[0]=0;}  //޷
	if(FX[1]>250){FX[1]=250;}if(FX[1]<0){FX[1]=0;}
	if(FX[2]>250){FX[2]=250;}if(FX[2]<0){FX[2]=0;}
	if(FX[3]>250){FX[3]=250;}if(FX[3]<0){FX[3]=0;}

}

void Timer0Init(void)		//20@30.000MHz
{
	AUXR &= 0x7F;		//12T
	TMOD &= 0xF0;
	TMOD |= 0x01;
	TL0 = 0;		//öʱֵ
	TH0 = 0;		//öʱֵ
	TF0 = 0;		//TF0־
	TR0 = 1;		//ʱ0ʼʱ
	ET0=1;
	EA=1;
}

void Delay1us(unsigned int x)		//@30.000MHz
{
	unsigned char i;
  while(x--)
	{
	  i = 5;
	  while (--i);
	}
}

void Delayms()		//@30.000MHz
{
	unsigned char i, j;

	  i = 30;
	  j = 43;
	  do
	  {
		  while (--j);
	  } while (--i);
}

void Delay1ms(unsigned int x)		//@30.000MHz
{
	unsigned char i, j;
  while(x--)
	{
	  i = 30;
	  j = 43;
	  do
	  {
		  while (--j);
	  } while (--i);
  }
}

void main()
{	
		unsigned char m;
  
	  P1M0 =0x00;  //P1.0-1.4 ̫
    P1M1 =0x8f;
	  P4M0 =0x20;  //p4.5
    P4M1 =0x00;

    KEY3=1;          //ҡ·ĸ Լ뿪  ͵ƽ
    KEY4=1;
    KEY5=1;
    KEY6=1;
		KEYNRF1=0;      //뿪 ߵƽ
    KEYNRF2=0;
		KEYA=1;         //ص͵ƽ
		KEYB=1;	
    GLED=0;RLED=0;BLED=1;
		init_NRF24L01(); 
		adc_init();
		Delay(5);
		ay=getADCResult(0)-128;   //
	  Delay(5);
		by=getADCResult(2)-128;     //
    Delay(5);
	  bx=getADCResult(3)-128;     //
	  Delay(5);

		TxBuf[1]=128;    //óֵ
	  TxBuf[2]=128;
	  TxBuf[3]=128;
		
	  for(m=0;m<3;m++)
		{
		fengmingqi=0;Delay50ms(1);
		fengmingqi=1;Delay50ms(1);
		} 
	  Timer0Init();
	 while(1)
	{		
	  ADC();     //ɼ
		
     	TxBuf[0]++;
	
    if((255+ay-cy)>=255){TxBuf[2]=255;} else if((255+ay-cy)<=0){TxBuf[2]=0;}else TxBuf[2]=255+ay-cy;
		if((dx-bx)>=255){TxBuf[1]=255;}     else if((dx-bx)<=0){TxBuf[1]=0;}    else{TxBuf[1]=dx-bx;}			
	  if((dy-by)>=255){TxBuf[3]=255;}     else if((dy-by)<=0){TxBuf[3]=0;}else{TxBuf[3]=dy-by;}	
		TxBuf[4]=cx;                     //   

   if(KEY3==0) {TxBuf[5]=1;} else {TxBuf[5]=0;}
   if(KEY4==0) {TxBuf[6]=1;} else {TxBuf[6]=0;}
	 if(KEY5==0) {TxBuf[7]=1;} else {TxBuf[7]=0;}

	 if(KEY6==0) {TxBuf[8]=1;} else {TxBuf[8]=0;}
	 if(KEYA==0) {TxBuf[11]=1;} else {TxBuf[11]=0;}
	 if(KEYB==0) {TxBuf[12]=1;} else {TxBuf[12]=0;}//ͨ       ر44
	 add=0;
	 for(i=0;i<19;i++)
	 {
		add+=TxBuf[i];
	 }
	 TxBuf[19]=add;
	 
	  nRF24L01_TxPacket(TxBuf);
		Delay(1000);
  
   }
}

/*void time0() interrupt 1
{	 
		count++;  //1.6
		switch(count)
		{
			case 1:PPM=0;TL0=0x6f,TH0=0xfe;ad=(unsigned int)FX[0];   //1ͨ
			 		 t_l=64835-4*ad;t_h=(64835-4*ad)>>8; break;	 //ǰ´θߵƽʱ
			case 2:PPM=1;TL0=t_l;TH0=t_h;break;
			
			case 3:PPM=0;TL0=0x6f,TH0=0xfe;ad=(unsigned int)FX[1];   //2ͨ
			 		 t_l=64835-4*ad;t_h=(64835-4*ad)>>8; break;
			case 4:PPM=1;TL0=t_l;TH0=t_h;break;
			
			case 5:PPM=0;TL0=0x6f,TH0=0xfe;ad=(unsigned int)FX[2];   //3ͨ
			 		 t_l=64835-4*ad;t_h=(64835-4*ad)>>8; break;
			case 6:PPM=1;TL0=t_l;TH0=t_h;break;
			
			case 7:PPM=0;TL0=0x6f,TH0=0xfe;ad=(unsigned int)FX[3];   //4ͨ
			 		 t_l=64835-4*ad;t_h=(64835-4*ad)>>8; break;
			case 8:PPM=1;TL0=t_l;TH0=t_h;break;
			
			case 9:PPM=0;TL0=0x6f,TH0=0xfe;break;		   //ͨ1
			case 10:PPM=1;if(KEYA==1)TL0=0x17,TH0=0xfc;
							else             TL0=0x0b,TH0=0xfe;break;
			
			case 11:PPM=0;TL0=0x6f,TH0=0xfe;break;		 //ͨ2
			case 12:PPM=1;if(KEYB)TL0=0x17,TH0=0xfc;
							else          TL0=0x0b,TH0=0xfe;break;
							
			case 13:PPM=0;TL0=0x6f,TH0=0xfe;        break;
			case 14:PPM=1;TL0=0x07,TH0=0xd5;count=0;break;   //ǰͬ9.6 ms   11.0  ڽ 20ms
		}
}
*/


